/**
 * Created by rockyl on 2019-04-10.
 *
 * 警告对话框内容
 */

import DialogContent from "../popup/DialogContent";
import { Entity } from "scilla/src";
import { setText } from "../entityUtils";

export default class AlertDialogContent extends DialogContent {
	content: Entity;
	onAwake() {
		super.onAwake();
	}
	protected onTapCloseButton() {
		super.onTapCloseButton();
		this.bubbling('fuckNavigator', 'start');
	}
	setup(data: any = {}) {
		setText(this.content, data);
	}
}
